<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Tree_And_Grid.ascx.cs" Inherits="Tree_And_Grid" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<asp:ScriptManagerProxy ID="ScriptManagerProxy1" runat="server">
</asp:ScriptManagerProxy>
<telerik:RadAjaxManagerProxy ID="RadAjaxManagerProxy1" runat="server">
    <AjaxSettings>
        <telerik:AjaxSetting AjaxControlID="RadTreeView1">
            <UpdatedControls>
                <telerik:AjaxUpdatedControl ControlID="RadGrid1" />
            </UpdatedControls>
        </telerik:AjaxSetting>
    </AjaxSettings>
</telerik:RadAjaxManagerProxy>

<telerik:RadTreeView ID="RadTreeView1" 
runat="server" 
DataTextField="Name"
DataValueField="ID"
DataSourceID="AccessDataSource1" 
OnNodeClick="RadTreeView1_NodeClick">
</telerik:RadTreeView>

<asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Countries.mdb"
    SelectCommand="SELECT [Name], [ID] FROM [Countries]"></asp:AccessDataSource>


<telerik:RadGrid ID="RadGrid1" runat="server">
    <MasterTableView AutoGenerateColumns="True" />
</telerik:RadGrid>
